<?php

namespace App\Controllers;

class Home extends BaseController
{
    public function index(): string
    {
        return view('welcome_message');
    }

    public  function promoIndex($promo,$promoOwner=''):string{
     //   echo $promo;
     //   echo $promoOwner;
        //http://10.204.5.100:9083/en/promo/api/v1/start


        $in["promo"] = $promo;
        $in["promo_owner"] = $promoOwner;
        $out  = $this->APIcall('POST','http://10.204.5.100:9083/en/promo/api/v1/start',[]);
var_dump($out);
        return view('welcome_message', $out);
    }
}
